Loading...
Searching...
No Matches
libthreadar::exception_system Class Reference

Exception used to report operating system errors. More...

`#include <exceptions.hpp>`

Inherits libthreadar::exception_base.

## Public Member Functions

| exception_system (const std::string &context, int error_code)
Public Member Functions inherited from libthreadar::exception_base
| exception_base (const std::string &x_msg)
| constructor
| exception_base (const exception_base &ref)=default
| default copy constructor is fine
| exception_base (exception_base &&ref) noexcept=default
| default move constructor is fine
exception_base & | operator= (const exception_base &ref)=default
| default assignment operator is fine
exception_base & | operator= (exception_base &&ref) noexcept=default
| default move operator is fine
virtual | ~exception_base ()=default
| destructor
void | push_message (const std::string &x_msg)
| to be used in a catch clause to add context information before rethrowing the exception
unsigned int | size () const
| for site which need to display the information to the user
const std::string & | operator[] (unsigned int i) const
| for site which need to display the information to the user
std::string | get_message (const std::string &sep) const
| concatenated messages and use the given separator between messages

## Protected Member Functions

virtual exception_base * | clone () const
| create a new object of the same type and value of the object which clone() method is invoked
Protected Member Functions inherited from libthreadar::exception_base
void | reset_first_message (const std::string &msg)
| for libthreader internal use only

## Detailed Description

Exception used to report operating system errors.

see exception_base for usage

Definition at line 194 of file exceptions.hpp.

## Member Function Documentation

## clone()

virtual exception_base * libthreadar::exception_system::clone | ( |  | ) | const

inline protected virtual

create a new object of the same type and value of the object which clone() method is invoked

Note
  this is true for pointer to inherited class, even if the pointer is of type exception_base the pointed to object will be of the same type of the inherited class

Implements libthreadar::exception_base.

Definition at line 200 of file exceptions.hpp.

The documentation for this class was generated from the following file:

- exceptions.hpp